
Name:           birdtray
Version:        1.9.0
Release:        2
Summary:        New mail system tray notification icon for Thunderbird
License:        GPL-3.0-only
URL:            https://github.com/gyunaev/birdtray
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         birdtray-add-missing-include-QPainterPath.patch
BuildRequires:  ninja-build
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  pkgconfig
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(Qt5Svg)

%description
A free, cross-platform (Linux/Windows/OS X) system tray notification for new mail for Thunderbird. Features - Shows the unread email counter in the Thunderbird system tray icon. - Optionally can animate the Thunderbird system tray icon if new mail is received. - You can snooze new mail notifications for a specific time period. - Birdtray checks the unread e-mail status directly by reading the Thunderbird email search database. This means it does not need any extensions, and thus is immune to any future extension API changes in Thunderbird. - Starting from version 0.2 if you click on Birdtray icon, it can hide the Thunderbird window, and restore it. There is also context menu for that. - You can configure which accounts you want to check for unread emails on. - You can choose different font colors for different email accounts. This allows you, for example, to have blue unread count for personal emails, red unread count for work emails, and green unread count if both folders have unread mail. - Can launch Thunderbird when Birdtray starts, and terminate it when Birdtray quits (configurable). - You can choose the tray icon, or use Thunderbird original icon. - Can monitor that Thunderbird is running, and indicate it if you accidentally closed it.


%prep
%autosetup -p1

%build
%cmake \
-DCMAKE_BUILD_TYPE=Release \
-DUSE_BUNDLED=OFF \
..
%cmake_build

%install
mkdir -p build/translations
%cmake_install

%find_lang %{name} --with-qt --all-name

%fdupes %{buildroot}%{_prefix}

%files -f %{name}.lang
%license LICENSE.txt
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/metainfo/*.xml
%{_datadir}/ulduzsoft/

%changelog
* Thu May 25 2023 Dead Mozay - 1.9.0-2
- Initial package.

* Thu May 25 2023 Dead Mozay - 1.9.0-1
- Initial package.

